summaryrefslogtreecommitdiffstats
path: root/network/squidanalyzer
diff options
context:
space:
mode:
author LITKK <admin@litkk.com.ua>2013-12-27 15:13:23 +0100
committer Erik Hanson <erik@slackbuilds.org>2014-01-07 11:13:06 -0600
commitc6c9e9b381dfbceebc15a60036e2512ced7c79f9 (patch)
tree269337c3cdd0fcb2414cea0e6e1a4f63d171b096 /network/squidanalyzer
parentd98d6b923773d27a0193bce58fd86983578a0833 (diff)
downloadslackbuilds-c6c9e9b381dfbceebc15a60036e2512ced7c79f9.tar.gz
slackbuilds-c6c9e9b381dfbceebc15a60036e2512ced7c79f9.tar.xz
network/squidanalyzer: Added (squid logs parser).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network/squidanalyzer')
-rw-r--r--network/squidanalyzer/README3
-rw-r--r--network/squidanalyzer/README.Slackware21
-rw-r--r--network/squidanalyzer/slack-desc19
-rw-r--r--network/squidanalyzer/squidanalyzer.SlackBuild102
-rw-r--r--network/squidanalyzer/squidanalyzer.info10
5 files changed, 155 insertions, 0 deletions
diff --git a/network/squidanalyzer/README b/network/squidanalyzer/README
new file mode 100644
index 0000000000..4689876293
--- /dev/null
+++ b/network/squidanalyzer/README
@@ -0,0 +1,3 @@
+Squid Analyzer parses Squid proxy access log and reports general statistics
+about hits, bytes, users, networks, top URLs, and top second level domains.
+Statistic reports are oriented toward user and bandwidth control.
diff --git a/network/squidanalyzer/README.Slackware b/network/squidanalyzer/README.Slackware
new file mode 100644
index 0000000000..afea158301
--- /dev/null
+++ b/network/squidanalyzer/README.Slackware
@@ -0,0 +1,21 @@
+Some configurations notes for Apache web server
+
+1. Modify your httpd.conf to allow access to HTML output like follow:
+ Alias /squidreport /var/www/squidreport
+ <Directory /var/www/squidreport>
+ Options -Indexes FollowSymLinks MultiViews
+ AllowOverride None
+ Order deny,allow
+ Deny from all
+ Allow from 127.0.0.1
+ </Directory>
+2. If necessary, give additional host access to SquidAnalyzer in httpd.conf.
+ Restart and ensure that httpd is running.
+3. Browse to http://my.host.dom/squidreport/ to ensure that things are working
+ properly.
+4. Setup a cronjob to run squid-analyzer daily:
+
+ # SquidAnalyzer log reporting daily
+ 0 2 * * * /usr/bin/squid-analyzer > /dev/null 2>&1
+
+or run it manually.
diff --git a/network/squidanalyzer/slack-desc b/network/squidanalyzer/slack-desc
new file mode 100644
index 0000000000..01ece445e0
--- /dev/null
+++ b/network/squidanalyzer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+squidanalyzer: squidanalyzer (squid logs parser)
+squidanalyzer:
+squidanalyzer: Squid Analyzer parses Squid proxy access log and reports general
+squidanalyzer: statistics about hits, bytes, users, networks, top URLs, and top
+squidanalyzer: second level domains. Statistic reports are oriented toward user
+squidanalyzer: and bandwidth control.
+squidanalyzer:
+squidanalyzer: homepage: http://squidanalyzer.darold.net/
+squidanalyzer:
+squidanalyzer:
+squidanalyzer:
diff --git a/network/squidanalyzer/squidanalyzer.SlackBuild b/network/squidanalyzer/squidanalyzer.SlackBuild
new file mode 100644
index 0000000000..81d12a83e2
--- /dev/null
+++ b/network/squidanalyzer/squidanalyzer.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for squidanalyzer
+
+# Copyright 2001-2013 LITKK Ukraine, Odessa
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=squidanalyzer
+VERSION=${VERSION:-5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL INSTALLDIRS=vendor \
+ LOGFILE=/var/log/squid/access.log \
+ BINDIR=/usr/bin \
+ CONFDIR=/etc/squidanalyzer \
+ HTMLDIR=/var/www/squidreport \
+ BASEURL=/squidreport \
+ MANDIR=/usr/man/man3 \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+
+make
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README* $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
diff --git a/network/squidanalyzer/squidanalyzer.info b/network/squidanalyzer/squidanalyzer.info
new file mode 100644
index 0000000000..0d066b3f87
--- /dev/null
+++ b/network/squidanalyzer/squidanalyzer.info
@@ -0,0 +1,10 @@
+PRGNAM="squidanalyzer"
+VERSION="5.3"
+HOMEPAGE="http://squidanalyzer.darold.net/"
+DOWNLOAD="http://downloads.sourceforge.net/squid-report/squidanalyzer-5.3.tar.gz"
+MD5SUM="42b06613781e8b9cb8899bc10e976b2a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="LITKK"
+EMAIL="admin@litkk.com.ua"